Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2225873 - golang-github-quay-clair-3: FTBFS in Fedora rawhide/f39
Summary: golang-github-quay-clair-3: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-quay-clair-3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 17:56 UTC by Fedora Release Engineering
Modified: 2023-08-12 04:23 UTC (History)
2 users (show)

Fixed In Version: golang-github-quay-clair-3-3.0.0~pre1-8.fc38 golang-github-quay-clair-3-3.0.0~pre1-8.fc37
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-12 04:20:32 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 17:56 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 17:56 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 17:56 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 17:56:32 UTC
golang-github-quay-clair-3 failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103599121


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix golang-github-quay-clair-3 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
golang-github-quay-clair-3 will be orphaned. Before branching of Fedora 40,
golang-github-quay-clair-3 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 17:56:38 UTC
Created attachment 1978078 [details]
build.log

Comment 2 Fedora Release Engineering 2023-07-25 17:56:43 UTC
Created attachment 1978079 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 17:56:46 UTC
Created attachment 1978080 [details]
state.log

Comment 4 Fedora Update System 2023-08-03 17:17:27 UTC
FEDORA-2023-37f9a6ee41 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-37f9a6ee41

Comment 5 Fedora Update System 2023-08-03 17:33:24 UTC
FEDORA-2023-9d0767138c has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-9d0767138c

Comment 6 Fedora Update System 2023-08-04 01:18:25 UTC
FEDORA-2023-9d0767138c has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-9d0767138c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-9d0767138c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-08-04 02:18:41 UTC
FEDORA-2023-37f9a6ee41 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-37f9a6ee41`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-37f9a6ee41

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-08-12 04:20:32 UTC
FEDORA-2023-37f9a6ee41 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-08-12 04:23:26 UTC
FEDORA-2023-9d0767138c has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.